/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { XYChartDescription } from "./XYChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class CategoryChartDescription extends XYChartDescription {
    constructor() {
        super();
        this.hz = 0;
        this.h5 = null;
        this.h3 = null;
        this.h4 = null;
        this.hb = false;
        this.h6 = null;
        this.h7 = null;
        this.hk = 0;
        this.hl = 0;
        this.hj = 0;
        this.hm = 0;
        this.hn = 0;
        this.hd = false;
        this.h0 = 0;
        this.hp = 0;
        this.ho = 0;
        this.hq = 0;
        this.g5 = null;
        this.g6 = null;
        this.hc = false;
        this.g9 = false;
        this.ha = false;
    }
    get_type() {
        return "CategoryChart";
    }
    get transitionInDuration() {
        return this.hz;
    }
    set transitionInDuration(a) {
        this.hz = a;
        this.e("TransitionInDuration");
    }
    get transitionInEasingFunctionRef() {
        return this.h5;
    }
    set transitionInEasingFunctionRef(a) {
        this.h5 = a;
        this.e("TransitionInEasingFunctionRef");
    }
    get chartType() {
        return this.h3;
    }
    set chartType(a) {
        this.h3 = a;
        this.e("ChartType");
    }
    get markerCollisionAvoidance() {
        return this.h4;
    }
    set markerCollisionAvoidance(a) {
        this.h4 = a;
        this.e("MarkerCollisionAvoidance");
    }
    get isTransitionInEnabled() {
        return this.hb;
    }
    set isTransitionInEnabled(a) {
        this.hb = a;
        this.e("IsTransitionInEnabled");
    }
    get transitionInMode() {
        return this.h6;
    }
    set transitionInMode(a) {
        this.h6 = a;
        this.e("TransitionInMode");
    }
    get transitionInSpeedType() {
        return this.h7;
    }
    set transitionInSpeedType(a) {
        this.h7 = a;
        this.e("TransitionInSpeedType");
    }
    get xAxisInterval() {
        return this.hk;
    }
    set xAxisInterval(a) {
        this.hk = a;
        this.e("XAxisInterval");
    }
    get xAxisMinorInterval() {
        return this.hl;
    }
    set xAxisMinorInterval(a) {
        this.hl = a;
        this.e("XAxisMinorInterval");
    }
    get xAxisGap() {
        return this.hj;
    }
    set xAxisGap(a) {
        this.hj = a;
        this.e("XAxisGap");
    }
    get xAxisOverlap() {
        return this.hm;
    }
    set xAxisOverlap(a) {
        this.hm = a;
        this.e("XAxisOverlap");
    }
    get yAxisInterval() {
        return this.hn;
    }
    set yAxisInterval(a) {
        this.hn = a;
        this.e("YAxisInterval");
    }
    get yAxisIsLogarithmic() {
        return this.hd;
    }
    set yAxisIsLogarithmic(a) {
        this.hd = a;
        this.e("YAxisIsLogarithmic");
    }
    get yAxisLogarithmBase() {
        return this.h0;
    }
    set yAxisLogarithmBase(a) {
        this.h0 = a;
        this.e("YAxisLogarithmBase");
    }
    get yAxisMinimumValue() {
        return this.hp;
    }
    set yAxisMinimumValue(a) {
        this.hp = a;
        this.e("YAxisMinimumValue");
    }
    get yAxisMaximumValue() {
        return this.ho;
    }
    set yAxisMaximumValue(a) {
        this.ho = a;
        this.e("YAxisMaximumValue");
    }
    get yAxisMinorInterval() {
        return this.hq;
    }
    set yAxisMinorInterval(a) {
        this.hq = a;
        this.e("YAxisMinorInterval");
    }
    get negativeBrushes() {
        return this.g5;
    }
    set negativeBrushes(a) {
        this.g5 = a;
        this.e("NegativeBrushes");
    }
    get negativeOutlines() {
        return this.g6;
    }
    set negativeOutlines(a) {
        this.g6 = a;
        this.e("NegativeOutlines");
    }
    get yAxisAbbreviateLargeNumbers() {
        return this.hc;
    }
    set yAxisAbbreviateLargeNumbers(a) {
        this.hc = a;
        this.e("YAxisAbbreviateLargeNumbers");
    }
    get isCategoryHighlightingEnabled() {
        return this.g9;
    }
    set isCategoryHighlightingEnabled(a) {
        this.g9 = a;
        this.e("IsCategoryHighlightingEnabled");
    }
    get isItemHighlightingEnabled() {
        return this.ha;
    }
    set isItemHighlightingEnabled(a) {
        this.ha = a;
        this.e("IsItemHighlightingEnabled");
    }
}
CategoryChartDescription.$t = markType(CategoryChartDescription, 'CategoryChartDescription', XYChartDescription.$);
